.ios-scroll-fix {
  -webkit-overflow-scrolling: touch;
}

.kit.view {
  $color-border: #BBC8D1;
  $color-title: #272727;
  &.map, &.content {
    &.full.screen {
      position: absolute;
      z-index: 10;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
    }
    &.auto.screen,
    &.height-max {
      display: flex;
      flex: 1 1 auto;
      z-index: 10;
      position: relative;
      & > .section-left.container:not(.ui) {
        padding-top: 0;
      }
    }
    &.height-fix-1 {
      min-height: calc(100vh - 13rem);
    }
    &.max.screen {
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 6.25rem;
    }
    & > .map.container:not(.ui) {
      display: block;
      width: 100%;
      height: inherit;
      position: relative;
      z-index: 1;
    }
    & > [class*="section-"].container:not(.ui) {
      border-right: 1px solid $color-border;
      &.white {
        background-color: #ffffff;
      }
      &.gray {
        background-color: #F5F5F5;
      }
      &.small {
        width: 25%;
        min-width: 13rem;
        max-width: 13rem;
      }
      &.medium {
        width: 50%;
        min-width: 27rem;
        max-width: 36rem;
        border-right: 1px solid $color-border;

      }
      &.big {
        width: 75%;
      }
    }
  }

  & .sidebar.container:not(.ui) {
    position: absolute;
    top: 0;
    left: auto;
    right: auto;
    bottom: 0;
    width: 19rem;
    z-index: 2;
    > .sidebar-toggler {
      position: absolute;
      z-index: 20;
      top: 0.75rem;
      right: -1.5rem;
      width: 1.5rem;
      height: 2.5rem;
      display: flex;
      background: $yellow-200;
      border-top-right-radius: 0.1875rem;
      border-bottom-right-radius: 0.1875rem;
      > span {
        display: block;
        margin: auto;
        font-family: common, Icons, serif;
        font-size: 1rem;
        color: $black;
        transform: rotate(180deg);
      }

    }
    &.navigation {
      background-color: rgba(255, 255, 255, 0.4);
      box-shadow: 17px 0 21px rgba(159, 159, 159, 0.06);
      z-index: 11;
    }
    &.position-left {
      left: 0;
    }
    &.position-search {
      top: 8rem;
      left: 13rem;
      bottom: calc(300px - 100vh);
    }
    &.position-search-slide {
      top: 0;
      left: 0;
      z-index: 11;
      transition: all 0.2s ease;
      &.opened {
        &.size-medium {
          left: 17.5rem;
        }
        > .sidebar-toggler > span {
          transform: rotate(0);
        }

      }
    }
    &.position-filters {
      top: 0;
      left: 0;
      z-index: 12;
    }
    &.position-main {
      left: 6.25rem;
    }
    &.size-max {
      width: 24rem;
    }
    &.size-medium {
      width: 19rem;
    }
    &.service.list {
      z-index: 11;
      &.color-main {
        background-color: rgba(255, 255, 255, 0.8);
      }
      &.color-none {
        background-color: transparent;
      }
    }
  }
  & > .search.container:not(.ui) {
    position: absolute;
    z-index: 50;
    width: 37.5rem;
    &.service {
      top: 0.75rem;
      left: 21rem;
    }
  }

  &.page, &.content {
    position: relative;
    z-index: 15;
    &.mobile, &.adaptive {
      .line.breadcrumb {
        @media only screen and (max-width: 1024px) {
          display: none !important;
        }
      }
    }
    &.full.screen {
      padding: 0;
      display: flex;
      width: 100%;
      flex: 1 0 auto;
      background-color: transparent;
    }
    &.center {
      display: flex;
      width: 100%;
      flex: 1 0 auto;
      padding: 0 6.25rem;
      background-color: transparent;
      &.mobile, &.adaptive {
        @media only screen and (max-width: 1024px) {
          padding: 0;
        }
      }
    }
    &.considering {
      &.height-auto {
        flex: 0 0 auto;
      }
    }

    > .container:not(.ui), .container:not(.ui).flex {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-content: stretch;
      width: 100%;
      flex: 1 0 auto;
      padding: 0;
      &.p-none {
        padding: 0;
      }
      &.minimal {
        max-width: 64rem;
        min-width: 64rem;
        margin: 0 auto;
        @media screen and (max-width: 1024px) {
          min-width: auto;
        }
      }
      .line.breadcrumb {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: stretch;
        flex: 0 1 auto;
        margin: 0;
        width: 100%;
        min-height: 1rem;
        padding-top: 1rem;
        background-color: #fff;
        &.pl-44 {
          padding-left: 2.75rem;
        }
        &.pl-24 {
          padding-left: 1.5rem;
        }
      }

      .line.header {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        width: 100%;
        align-items: flex-start;
        flex: 0 0 auto;
        margin: 0;
        margin-bottom: auto;
        min-height: 6rem;
        max-height: max-content;
        padding: 1.5rem $padding-left-accordion;
        border-bottom: 1px solid $color-border;
        background-color: #fff;
        &.small {
          min-height: auto;
        }
        .aqualink {
          font-size: 13px;
        }
        .title {
          font-size: 1rem;
          font-weight: 500;
          color: $color-title;
          padding-right: 1rem;
          &.big {
            font-size: 1.3125rem;
            font-weight: 700;
          }
        }
        > .middle {
          width: 50%;
          margin: auto;
          margin-left: 0;
        }
        > .right {
          width: auto;
          max-width: 100%;
          margin: 0;
          margin-left: auto;
          display: flex;
          flex-flow: row wrap;
          justify-content: center;
          align-items: stretch;
          align-content: space-between;
        }
        > .right + .right {
          margin-left: 2rem;
        }
        > .left {
          width: auto;
          max-width: 100%;
          margin: 0;
          margin-right: auto;
        }
        > .left + .left {
          margin: 0;
        }
        > .left, > .right {
          &.half {
            max-width: 50%;
          }
          &.small {
            width: 25%;
            max-width: 25%;
            margin: auto 0;

          }
        }
      }

      .line {
        &.content {
          display: flex;
          flex-flow: row nowrap;
          justify-content: space-between;
          align-items: stretch;
          width: 100%;
          flex: 1 0 auto;
          margin: 0;
          height: auto;
        }
        & > .section {
          position: relative;
          > .scroll {
            overflow-y: auto;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
          }
          .container:not(.ui).medium {
            max-width: 42.75rem;
          }
          &.flex {
            display: flex;
          }
          &.white {
            background-color: #ffffff;
          }
          &.gray {
            background-color: #F5F5F5;
          }
          &.left.medium {
            width: 50%;
            min-width: 27rem;
            max-width: 36rem;
            border-right: 1px solid $color-border;
          }
          &.right.medium {
            width: 50%;
            min-width: calc(100% - 36rem);
            max-width: calc(100% - 27rem);
          }
          &.left.small {
            width: 25%;
            min-width: 13rem;
            max-width: 13rem;
            border-right: 1px solid $color-border;
          }
          &.right.big {
            width: 50%;
            min-width: calc(100% - 13rem);
            max-width: calc(100% - 13rem);
          }
          &.left.fixed-300 {
            width: 19.5rem;
            min-width: 19.5rem;
            max-width: 19.5rem;
            border-right: 1px solid $color-border;
          }
          &.right.stretch-300 {
            width: calc(100% - 19.5rem);
            min-width: calc(100% - 19.5rem);
            max-width: calc(100% - 19.5rem);
          }
          &.left.fixed-400 {
            width: 25rem;
            min-width: 25rem;
            max-width: 25rem;
            border-right: 1px solid $color-border;
          }
          &.right.stretch-400 {
            width: calc(100% - 25rem);
            min-width: calc(100% - 25rem);
            max-width: calc(100% - 25rem);
          }
          .container:not(.ui) {
            .separator {
              display: block;
              width: 100%;
              border: none;
              margin: 1.5rem 0;
              padding: 0;
              box-shadow: none;
              height: 1px;
              background-color: $gray-200;

            }
          }
        }
      }
      .border.bottom {
        border-bottom: 1px solid $color-border;
        @media screen and (max-width: 1024px) {
          border-bottom: none;
        }
      }
      .border.top {
        border-top: 1px solid $color-border;
        @media screen and (max-width: 1024px) {
          border-top: none;
        }
      }
    }
  }
  .container:not(.ui).absolut {
    display: block;
    position: absolute;
    z-index: 12;
    top: 0;
    left: 0;
    height: calc(100vh - 12rem);
    width: auto;
  }
  &.gray {
    background-color: $bg-page-gray !important;
  }
  &.white {
    background-color: #fff !important;
  }
  .container:not(.ui).p-24-32 {
    padding: 1.5rem 2rem;
  }
  .container:not(.ui).p-12-44 {
    padding: 0.75rem 2.75rem;
  }
  .container:not(.ui).p-24-44 {
    padding: 1.5rem 2.75rem;
  }
  .container:not(.ui).p-24-20 {
    padding: 1.5rem 1.25rem;
  }
  .container:not(.ui).p-20-20 {
    padding: 1.25rem;
  }
  .container:not(.ui).p-32-64 {
    padding: 2rem 4rem;
  }

}
